Page MenuHomePhabricator

(MS 3) allow to query for Item values
Closed, ResolvedPublic8 Estimated Story Points

Description

As an editor I want to query for values that link to Items in order to query for basic important data.

Problem:
We currently don't allow selecting Items in the value part of the query. A lot of basic and important queries ("instance of:country" etc) require it however. We need to support Item values.

Example:

  • Instance of: country
  • gender: female

Screenshots/mockups:
TODO

BDD
GIVEN a visual query
WHEN selecting a Property of datatype Item
THEN I can select Items in the value field of the query

Acceptance criteria:

  • correct SPARQL code is generated
  • type-ahead suggestions are available similar to current input on Wikidata (including input of Q-ID instead of label)
  • only existing Items are suggested and can be selected

Notes:

  • We use the lookup component for the value input

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptNov 26 2020, 9:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher renamed this task from allow to query for Item values to (MS3) allow to query for Item values.Nov 29 2020, 2:06 PM
Lydia_Pintscher renamed this task from (MS3) allow to query for Item values to (MS 3) allow to query for Item values.
Lydia_Pintscher set the point value for this task to 8.Dec 1 2020, 1:38 PM
Lydia_Pintscher moved this task from Backlog to Ready to pick up on the Wikidata Query Builder board.
Lydia_Pintscher closed this task as Resolved.Jan 15 2021, 10:36 AM
Lydia_Pintscher claimed this task.

\o/

Amy and I checked it. It is really nice and works well. We just noticed one issue with duplicates in the result set which we so far overlooked. Amy will create a new ticket for that since it's not specific to Item values.